<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template name="Brieftext">
	<fo:block background-color="lightgrey">
			<fo:block font-size="10pt" font-weight="bold" ><fo:inline padding-start="1mm"><xsl:value-of select="objektdaten/aufz2"/></fo:inline></fo:block>
			<fo:block font-size="9pt" padding-start="3mm"><fo:inline padding-start="1mm"><xsl:value-of select="concat('(Erscheinungstermin ',objektdaten/etermin,')')"/></fo:inline></fo:block>

			<fo:block padding-top="2mm">
				<fo:table>
					<fo:table-column column-width="5mm"/>
					<fo:table-column column-width="50mm"/>
					<fo:table-column column-width="30mm"/>
					<fo:table-column column-width="22mm"/>
					<fo:table-column column-width="60mm"/>
					<fo:table-body>
						<fo:table-row font-size="8pt">
							<fo:table-cell padding-top="1mm"/>
							<fo:table-cell padding-top="1mm"><fo:block>
							<xsl:value-of select="rechdaten/ueberschrift/ueberschrift1"/></fo:block></fo:table-cell>
							<fo:table-cell number-columns-spanned="2"  padding-start="1mm" padding-top="1mm"><fo:block>
							<xsl:value-of select="rechdaten/ueberschrift/ueberschrift2"/></fo:block></fo:table-cell>
							<fo:table-cell text-align="right" padding-right="7.3mm" padding-top="1mm"><fo:block>
							<xsl:value-of select="rechdaten/ueberschrift/ueberschrift3"/></fo:block></fo:table-cell>
						</fo:table-row>

					<fo:table-row height="2mm"/>

						<!-- Position -->
							<xsl:apply-templates select="rechdaten/posten/position"/>
						<!-- Position -->

						<fo:table-row height="6.5mm"/>

						<fo:table-row font-size="9pt">
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="'Nettobetrag'"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell  padding-start="1mm">
								<fo:block>
									<xsl:value-of select="'MwSt %'"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell  text-align="right" padding-right="0.5mm">
								<fo:block>
									<xsl:value-of select="'MwSt'"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell padding-right="7.5mm" text-align="right">
								<fo:block font-weight="bold">
									<xsl:value-of select="'Bruttobetrag'"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>

						<fo:table-row height="0.5mm"/>

						<fo:table-row font-size="10pt">
							<fo:table-cell padding-left="1mm">
								<fo:block font-size="6pt">(1)</fo:block>
							</fo:table-cell>

							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="concat(rechdaten/gesamtsummen/netto,' €')"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell  padding-start="1mm">
								<fo:block>
									<xsl:value-of select="rechdaten/gesamtsummen/mwstsatz"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell  text-align="right" padding-right="0.5mm">
								<fo:block>
									<xsl:value-of select="concat(rechdaten/gesamtsummen/mwst,' €')"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell padding-right="7.5mm" text-align="right">
								<fo:block font-weight="bold">
									<xsl:value-of select="concat(rechdaten/gesamtsummen/brutto,' €')"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>

						<fo:table-row height="5mm" background-color="white"><fo:table-cell/><fo:table-cell/><fo:table-cell/><fo:table-cell/><fo:table-cell/></fo:table-row>

						<fo:table-row font-size="9pt" >
							<fo:table-cell number-columns-spanned="3" padding-left="1mm" padding-top="1mm">
								<fo:block>
								<xsl:value-of select="rechdaten/zahlbedtext"/>
								</fo:block>
							</fo:table-cell>

							<fo:table-cell  text-align="right" padding-right="0.5mm" padding-top="1mm">
								<fo:block>
									<xsl:value-of select="rechdaten/zdatumtext"/>
								</fo:block>
							</fo:table-cell>

							<fo:table-cell padding-right="7.5mm" text-align="right" padding-top="1mm">
								<fo:block font-weight="bold">
									<xsl:value-of select="rechdaten/betragtext"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>

						<fo:table-row height="1mm"/>

						<fo:table-row font-size="10pt">
							<fo:table-cell number-columns-spanned="3" padding-left="1mm">
								<fo:block>
								<xsl:value-of select="rechdaten/zahlbed"/>
								</fo:block>
							</fo:table-cell>

							<fo:table-cell  text-align="right" padding-right="0.5mm">
								<fo:block>
									<xsl:value-of select="rechdaten/zahltag"/>
								</fo:block>
							</fo:table-cell>

							<fo:table-cell padding-right="7.5mm" text-align="right">
								<fo:block font-weight="bold">
									<xsl:value-of select="rechdaten/gesamtsummen/brutto"/>
								</fo:block>
								
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
					
			</fo:block>
			</fo:block>
		<!-- /fo:block-container -->
</xsl:template>

<xsl:template match="position">
						
						<fo:table-row font-size="10pt">
							<fo:table-cell padding-left="1mm">
								<fo:block font-size="6pt">(1)</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="posbezeichnung"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell number-columns-spanned="2"  padding-start="1mm">
								<fo:block>
									<xsl:value-of select="posbranche"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell padding-right="7.5mm" text-align="right">
								<fo:block>
									<xsl:value-of select="concat(pospreis,' €')"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>

	</xsl:template>

</xsl:stylesheet>